<?php

namespace PHPNative\Tailwind\Model;

use PHPNative\Tailwind\Style\MediaQueryEnum;
use PHPNative\Tailwind\Style\StateEnum;

class Style
{
    public function __construct(
        public \PHPNative\Tailwind\Style\Style $style,
        public MediaQueryEnum $mediaQuery = MediaQueryEnum::normal,
        public StateEnum $state = StateEnum::normal
        )
    {
    }

    public function __clone()
    {
        if (is_object($this->style)) {
            $this->style = clone $this->style;
        }
    }
}
